<template>
  <nav class="kit list report">
    <a
      href="#checkauto-general"
      class="item link"
      v-if="full">Общая информация о ТС
    </a>
    <a
      href="#checkauto-summary"
      class="item active link">Сводные данные
    </a>
    <a
      href="#checkauto-data"
      class="item link">Данные о ПТС
    </a>
    <a
      href="#checkauto-hijacking"
      class="item link">Угон
    </a>
    <a
      href="#checkauto-recycling"
      class="item link">Утилизация
    </a>
    <a
      href="#checkauto-leasing"
      class="item link">Лизинг
    </a>
    <a
      href="#checkauto-accidents"
      class="item link">Аварии
    </a>
    <a
      href="#checkauto-taxi"
      class="item link">Работа в такси
    </a>
    <a
      href="#checkauto-customs"
      class="item link">Таможня
    </a>
  </nav>
</template>

<script>
export default {
  name: 'NavReport',
  props: {
    full: {
      type: Boolean,
      required: true,
    },
  },
};
</script>

<style scoped lang="postcss">
  .kit.list.report {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: stretch;
    width: 100%;
    padding: 0;
    margin: 0;
    &.cursor.none {
      > .item {
        cursor: default;
      }
    }
    > .item {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: 3rem;
      padding-left: 1.5rem;
      font-size: 0.8125rem;
      font-weight: 700;
      color: #272727;
      border-bottom: 1px double #dbe4e9;
      border-top: 1px solid transparent;
      position: relative;
      text-decoration: none;
      cursor: pointer;
      &.active, &.disabled {
        cursor: default !important;
      }
      &.active {
        background-color: transparent;
        &:before {
          content: '';
          position: absolute;
          left: 0;
          top: -1px;
          width: 2px;
          background: #4272a4;
          height: 47px;
        }
      }
      &:hover, &.active:hover {
        background-color: #e4ebf6;
      }
    }
  }

</style>
